package com.brilliance.isc.common.nosmod.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.ActVo;
import com.brilliance.isc.vo.lg.CbeVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: isc-funds
 * @ClassName: Nosmod
 * @description:
 * @author:huangshunlin
 * @create:2024-10-18 20:30
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NosmodVo extends AbstractCommonVo implements Serializable {
    private NoscbsVo cbs;

    private CbeVo wrkcbe;

    private ActVo rec;

    @Override
    public void reset() {
        super.reset();
        if (cbs == null) {
            cbs = new NoscbsVo();
        }
        cbs.reset();
        if (wrkcbe == null) {
            wrkcbe = new CbeVo();
        }

        if (rec == null) {
            rec = new ActVo();
        }

    }
}
